## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/labels/{id}/ledger-entries

### cURL

```
GET https://api-sandbox.dwolla.com/labels/7e042ffe-e25e-40d2-b86e-748b98845ecc/ledger-entries
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
```

### Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
```javascript
var labelUrl =
  "https://api-sandbox.dwolla.com/labels/7e042ffe-e25e-40d2-b86e-748b98845ecc";

dwolla
  .get(`${labelUrl}/ledger-entries`)
  .then((res) => res.body._embedded["ledger-entries"][0].id); // => '32d68709-62dd-43d6-a6df-562f4baec526'
```

### Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
```python
label_url = 'https://api-sandbox.dwolla.com/labels/7e042ffe-e25e-40d2-b86e-748b98845ecc'

ledger_entries = app_token.get('%s/ledger-entries' % label_url)
ledger_entries.body['_embedded']['ledger-entries'][0]['id'] # => '32d68709-62dd-43d6-a6df-562f4baec526'
```

### Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
```php
$labelUrl = 'https://api-sandbox.dwolla.com/labels/7e042ffe-e25e-40d2-b86e-748b98845ecc';

$labelsApi = new DwollaSwagger\LabelsApi($apiClient);

$ledgerEntries = $labelsApi->getLedgerEntriesForLabel($labelUrl);
$ledgerEntries->_embedded->{'ledger-entries'}[0]->id; // => "32d68709-62dd-43d6-a6df-562f4baec526"
```

### Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
```ruby
label_url = 'https://api-sandbox.dwolla.com/labels/7e042ffe-e25e-40d2-b86e-748b98845ecc'

ledger_entries = app_token.get "#{label_url}/ledger-entries"
ledger_entries._embedded['ledger-entries'][0].id # => "32d68709-62dd-43d6-a6df-562f4baec526"
```

### Response Codes

- 200
- 400
- 403
- 404

### Example Response

```json
{
  "_links": {},
  "_embedded": {
    "ledger-entries": [
      {
        "_links": {},
        "id": "32d68709-62dd-43d6-a6df-562f4baec526",
        "amount": {
          "value": "-5.00",
          "currency": "USD"
        },
        "created": "2019-05-16T01:54:58.062Z"
      }
    ]
  },
  "total": 100
}
```

### Error Responses

- Bad Request
  ```json
  {
    "code": "BadRequest",
    "message": "The request body contains bad syntax or is incomplete."
  }
  ```
- Forbidden
  ```json
  {
    "code": "Forbidden",
    "message": "The supplied credentials are not authorized for this resource."
  }
  ```
- Not Found
  ```json
  {
    "code": "NotFound",
    "message": "The requested resource was not found."
  }
  ```

#### Authorizations

- **Authorization**
  - Type: string
  - Location: header
  - Required: Yes
  - Description: The access token received from the authorization server in the OAuth 2.0 flow.

#### Headers

- **Accept**
  - Type: enum<string>
  - Default: application/vnd.dwolla.v1.hal+json
  - Required: Yes
  - Description: The media type of the response. Must be application/vnd.dwolla.v1.hal+json
  - Available options: `application/vnd.dwolla.v1.hal+json`

#### Path Parameters

- **id**
  - Type: string
  - Required: Yes
  - Description: A label unique identifier

#### Query Parameters

- **limit**
  - Type: integer
  - Description: How many results to return
- **offset**
  - Type: integer
  - Description: How many results to skip

#### Response

- **200** application/vnd.dwolla.v1.hal+json  successful operation
- **_links** object
  - Show child attributes
- **_embedded** object
  - Show child attributes
- **total** integer
  - Example: `100`
